Subject: New Reply Received - You guys need to fix the online payment option with Tabby. Trying to place an order past 4 days and I always get an error with the payment process. Your customer care guys says the problem is with Tabby and when I call Tabby no one ever responds!!! I hve
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 13 May 2021 05:48:08 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  You guys need to fix the online payment option with Tabby. Trying to place an order past 4 days and I always get an error with the payment process. Your customer care guys says the problem is with Tabby and when I call Tabby no one ever responds!!! I hve   Ticket comment <div>I sent you the details kindly check.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2576351